{
  "type" : "record",
  "name" : "VariantClassification",
  "namespace" : "org.gel.models.report.avro",
  "doc" : "The variant classification according to different properties.",
  "fields" : [ {
    "name" : "clinicalSignificance",
    "type" : [ "null", {
      "type" : "enum",
      "name" : "ClinicalSignificance",
      "symbols" : [ "benign", "likely_benign", "likely_pathogenic", "pathogenic", "uncertain_significance" ]
    } ],
    "doc" : "The variant's clinical significance."
  }, {
    "name" : "drugResponseClassification",
    "type" : [ "null", {
      "type" : "enum",
      "name" : "DrugResponseClassification",
      "symbols" : [ "altered_sensitivity", "reduced_sensitivity", "increased_sensitivity", "altered_resistance", "increased_resistance", "reduced_resistance", "increased_risk_of_toxicity", "reduced_risk_of_toxicity", "altered_toxicity", "adverse_drug_reaction", "indication", "contraindication", "dosing_alteration", "increased_dose", "reduced_dose", "increased_monitoring", "increased_efficacy", "reduced_efficacy", "altered_efficacy" ]
    } ],
    "doc" : "The variant's pharmacogenomics classification."
  }, {
    "name" : "traitAssociation",
    "type" : [ "null", {
      "type" : "enum",
      "name" : "TraitAssociation",
      "symbols" : [ "established_risk_allele", "likely_risk_allele", "uncertain_risk_allele", "protective" ]
    } ],
    "doc" : "The variant's trait association."
  }, {
    "name" : "tumorigenesisClassification",
    "type" : [ "null", {
      "type" : "enum",
      "name" : "TumorigenesisClassification",
      "symbols" : [ "driver", "passenger", "modifier" ]
    } ],
    "doc" : "The variant's tumorigenesis classification."
  }, {
    "name" : "functionalEffect",
    "type" : [ "null", {
      "type" : "enum",
      "name" : "VariantFunctionalEffect",
      "symbols" : [ "dominant_negative_variant", "gain_of_function_variant", "lethal_variant", "loss_of_function_variant", "loss_of_heterozygosity", "null_variant" ]
    } ],
    "doc" : "The variant functional effect"
  } ]
}
